#include <bits/stdc++.h>
#include "code.h"

using namespace std;

vector<pair<int, int>> ZapisiTacke(int n){
    vector<pair<int, int>> v(n+1);
    v[1] = {0, 0};

    for(int i = 2; i <= n; i++){
        v[i] = {i-2, 1};
    }
    return v;
}

vector<int> Resi(int n, int q){
    vector<int> ans(n+1);
    ans[0] = 0;
    ans[1] = 1;

    int d = 0;
    for(int i = 2; i <= n; i++){
        d = 0;
        for(int j = 2; j <= n; j++){
            if(i == j) continue;
            int a = Pitaj(1, i, j);
            if(a == -1) d++;
        }
        ans[i] = n-d;
    }
    return ans;
}